<template>
  <section>

    <Navbar/>

    <Sidebar/>

    <div class="c-content">
      <div class="row">
        <div class="col-md main">

          <div class="h-wrapper">
            <p>Tambah Produk</p>
          </div>

          <div class="row justify-content-center button-wrapper">
            <Button color="orange" href="#" disabled>
              <slot>ISI FORM</slot>
            </Button>
          </div>

          <br>
          <div class="row justify-content-center">
            <p>atau</p>
          </div>

          <div class="row justify-content-center button-wrapper">
            <div class="upload-btn-wrapper">
              <Button color="orange" data-toggle="modal" data-target="#uploadCSV">
                <slot>UPLOAD CSV</slot>
              </Button>
            </div>
          </div>

        </div>
      </div>
    </div>

    <div class="modal fade" id="uploadCSV" tabindex="-1" role="dialog" aria-labelledby="uploadCSVLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">

          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Upload CSV</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>

          <div class="modal-body">
            <div class="input-wrapper">
              <input type="file" name="csvFile" @change="onFileSelected">
            </div>
            <div class="alert alert-warning fade show">
              Please upload <strong>.csv</strong> file.
            </div>
          </div>

          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
            <button type="button" class="btn btn-primary orange" @click="upload">Upload</button>
          </div>

        </div>
      </div>
    </div>

  </section>
</template>

<script>
import Button from '~/components/Button.vue'
import Navbar from '~/components/Navbar.vue'
import Container from '~/components/Container.vue'
import Sidebar from '~/components/Sidebar.vue'

export default {
  components: {
    Button,
    Navbar,
    Container,
    Sidebar
  },
  data() {
    return {
      selectedFile: null
    }
  },
  computed: {
    uploadID () { return this.$store.state.product.uploadID }
  },
  methods: {
    onFileSelected(e) {
      this.selectedFile = e.target.files || e.dataTransfer.files
    },
    async upload() {
      var extension = null
      if (this.selectedFile != null) {
          extension = this.selectedFile[0].name.split('.').pop()
      }

      if (extension == 'csv') {
        await this.$store.dispatch('product/BULK_UPLOAD_PRODUCT',this.selectedFile[0])
        this.$router.replace({ 'path': '/preview/' +  this.uploadID})
      } else {
        $('.modal-body .alert').show()
        setTimeout(function() {
            $('.modal-body .alert').hide()
        }, 5000);
      }
    }
  }
}
</script>

<style>

.button-wrapper Button {
  width: 300px;
}

.title {
  font-family: "Quicksand", "Source Sans Pro", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif; /* 1 */
  display: block;
  font-weight: 300;
  font-size: 100px;
  color: #35495e;
  letter-spacing: 1px;
}

.subtitle {
  font-weight: 300;
  font-size: 42px;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;
}

.links {
  padding-top: 15px;
}

.upload-btn-wrapper {
  position: relative;
  overflow: hidden;
  display: inline-block;
}

.h-wrapper {
  margin: auto;
  width: 300px;
}

.main {
  padding-top: 150px;
}

.modal-body .alert {
  display: none;
}

.modal-body .input-wrapper {
  margin-top: 2px;
  margin-bottom: 8px;
}
/* .upload-btn-wrapper input[type=file] {
  font-size: 40px;
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
} */

</style>
